#include "screen.h"
#include "mem.h"
#include "vcpu.h"

#include <stdio.h>
int main(int argc, char *argv[])
{
  /* unsigned char byte=137; */
  /* unsigned char u,t,h; */
  /* VCPUDoubleDabble(byte,&u,&t,&h); */
  /* printf("%d: %01d%01d%01d\n",byte,h,t,u); */
  /* return 0; */

  // Initialize
  MemInit();
  MemLoadROM("../roms/chiptest.ch8");

  ScreenInit(800,400);
  VCPUInit();
  //  MemDump();
  int i=0;

  while (!WindowShouldClose()){
    VCPUFetch();
    VCPUDecode();
    VCPUExecute();  
    ScreenUpdate();
  }
  
  ScreenClose();
  
  return 0;
}
